%{
  Bagpipe Embellishments for the TinWhistle
%}
\version "2.19.82"

\layout {
  \context {
    \Score
    \override Stem.direction = #down
    \override Slur.direction = #up
    \override Tie.direction = #up
  }
}


tinpipegrace =
#(define-music-function (paper location notes) (ly:music?)
	#{
		\stemUp
  		\override Score.GraceSpacing.spacing-increment = #0
  		\override Score.Stem.beamlet-max-length-proportion = #'(0.5 . 0.5)
  		\small \grace $notes \normalsize
  		\revert Score.Stem.beamlet-default-length
  		\stemNeutral
	#}
)

%%% Single Grace Notes
grA = \tinpipegrace { \fixed c'' { a32 } }
grg = \tinpipegrace { \fixed c'' { g32 } }
grf = \tinpipegrace { \fixed c'' { fis32 } }
gre = \tinpipegrace { \fixed c'' { e32 } }
grd = \tinpipegrace { \fixed c'' { d32 } }
grc = \tinpipegrace { \fixed c'' { cis32 } }
grb = \tinpipegrace { \fixed c'' { b,32 } }
gra = \tinpipegrace { \fixed c'' { a,32 } }
grG = \tinpipegrace { \fixed c'' { g,32 } }


%%% Doublings
dblA = \tinpipegrace { \fixed c'' { a32 g } }
dblg = \tinpipegrace { \fixed c'' { g32 fis } }
dblf = \tinpipegrace { \fixed c'' { g32 fis g } }
dble = \tinpipegrace { \fixed c'' { g32 e fis } }
dbld = \tinpipegrace { \fixed c'' { g32 d e } }
dblc = \tinpipegrace { \fixed c'' { g32 cis d } }
dblb = \tinpipegrace { \fixed c'' { g32 b, d } }
dbla = \tinpipegrace { \fixed c'' { g32 a, d } }
dblG = \tinpipegrace { \fixed c'' { g32 g, d } }

%%% Half Doublings
hdblA = \dblA
hdblg = \dblg
hdblf = \tinpipegrace { \fixed c'' { fis32 g } }
hdble = \tinpipegrace { \fixed c'' { e32 fis } }
hdbld = \tinpipegrace { \fixed c'' { d32 e } }

%%%
thrwd = \tinpipegrace { \fixed c'' { g,32 d cis } }
grip  = \tinpipegrace { \fixed c'' { g,32 d g, } }
taor  = \tinpipegrace { \fixed c'' { g,32 d g, e } }
wbirl = \tinpipegrace { \fixed c'' { g,32 a, g, } }
gbirl = {}
slurf = {}
